Jump to content

Recommended Posts

Hello,

 

Just for your information, ClicShopping works very fine on php 8.0. I made some little modification and I take time to check the different page.

All is in good way about php 8.0 TC 03

 

Some information below

ClicShopping Version3.22

Hôte :localhost (127.0.0.1)

Hôte de la base de données :localhost (127.0.0.1)

Système d'exploitation :Linux 5.4.0-54-genericBase de données :MySQL 5.5.5-10.4.17-MariaDB-1:10.4.17+maria~focal

Date du serveur :2020-11-23 09:30:09 +0000 UTC2020-11-23 10:30:09

Temps de fonctionnement :10:30:09 up 1 day, 18:58, 2 users, load average: 0.45, 1.09, 1.29

 

Serveur HTTP :Apache/2.4.41 (Ubuntu)

Zend version8.0.0RC3 (Zend : 4.0.0-dev)

  • Like 4
  • Thanks 3
Link to post
Share on other sites

Hello @Tempo

 

Some tutorials are started on internet about that.

But in summay, you must remove php7.4 and after install php 8. It seems do not work together.

Also phpMyadmin do not work very well; some errors appears but you can remove, add .... information.

 

I uploaded yesterday the ClicShopping php8 quickly :

- installation works very fine

- application works also and I see a speed improvment. If you use the preoading. it's again better.

 

First conclusion for my first quickly test.

 

  • Thanks 1
Link to post
Share on other sites
  • 2 weeks later...
  • 1 month later...
  • 3 weeks later...

My take on this.

Successful e-commerce requires stability and jumping on the latest bleeding edge software always has an element of risk.

Continually moving the PHP minimal version is not good practice, IMO.

Development of ClicShopping should strive to work on a range of environments and not be tied to a specific version of PHP, for example.

I have a number of e-commerce sites that have been running securely and successfully for over 10 years, with only minor updates to their software.

It is MUCH more important to squash bugs and improve on existing functionality, rather than impose/introduce the latest trend/fad.

 

Good luck, going forward.

 

Link to post
Share on other sites

Hello @AlwaysSkint,

I understand you point of view as service provider.

But the php evolution has some bug fix and secure fix.You can say your server is secure after some years use the same php version. Maybe your code is secure, but not your php version.

Also all the ClicShopping version updated fix some bugs identified in the time and at the moment all software need a break to follow the technology.
Maintain some different solution for free is not relevant in my sense.

 

 

  • Like 1
Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use